import path from 'path';
import { readJSON, outputJSON } from 'fs-extra';
import findCacheDir from 'find-cache-dir';
const BASELINE_STATS_DIR = findCacheDir({ name: 'bundle-stats' }) || path.join(process.cwd(), './node_modules/.cache');
const BASELINE_STATS_BASE = 'baseline.json';
export function getBaselineStatsFilepath(from) {
    if (!from) {
        return path.join(BASELINE_STATS_DIR, BASELINE_STATS_BASE);
    }
    return path.join(path.relative(from, BASELINE_STATS_DIR), BASELINE_STATS_BASE);
}
export async function readBaseline(from) {
    return readJSON(getBaselineStatsFilepath(from));
}
export async function writeBaseline(data) {
    return outputJSON(getBaselineStatsFilepath(), data);
}
//# sourceMappingURL=baseline.js.map