import htmlTemplates from '@bundle-stats/html-templates';
import { INITIAL_DATA_PATTERN, OUTPUT_FILENAME, OutputType } from './constants';
export const createHTMLArtifact = (jobs) => {
    var _a, _b, _c, _d, _e;
    let output = htmlTemplates.replace(INITIAL_DATA_PATTERN, `window.__INITIAL_DATA__ = ${JSON.stringify(jobs)}`);
    const totalSize = (_e = (_d = (_c = (_b = (_a = jobs === null || jobs === void 0 ? void 0 : jobs[0]) === null || _a === void 0 ? void 0 : _a.insights) === null || _b === void 0 ? void 0 : _b.webpack) === null || _c === void 0 ? void 0 : _c.assetsSizeTotal) === null || _d === void 0 ? void 0 : _d.data) === null || _e === void 0 ? void 0 : _e.text;
    if (totalSize) {
        output = output.replace(/<title>(.*)<\/title>/, `<title>${totalSize} - $1</title>`);
    }
    return output;
};
export const createJSONArtifact = (_, report) => {
    return JSON.stringify(report, null, 2);
};
export function createArtifacts(jobs, report, options) {
    const results = {};
    if (options.html) {
        results[OutputType.HTML] = {
            output: createHTMLArtifact(jobs, report),
            filename: `${OUTPUT_FILENAME}.${OutputType.HTML}`,
        };
    }
    if (options.json) {
        results[OutputType.JSON] = {
            output: createJSONArtifact(jobs, report),
            filename: `${OUTPUT_FILENAME}.${OutputType.JSON}`,
        };
    }
    return results;
}
//# sourceMappingURL=create-artifacts.js.map