"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeBaseline = exports.readBaseline = exports.getBaselineStatsFilepath = void 0;
const path_1 = __importDefault(require("path"));
const fs_extra_1 = require("fs-extra");
const find_cache_dir_1 = __importDefault(require("find-cache-dir"));
const BASELINE_STATS_DIR = (0, find_cache_dir_1.default)({ name: 'bundle-stats' }) || path_1.default.join(process.cwd(), './node_modules/.cache');
const BASELINE_STATS_BASE = 'baseline.json';
function getBaselineStatsFilepath(from) {
    if (!from) {
        return path_1.default.join(BASELINE_STATS_DIR, BASELINE_STATS_BASE);
    }
    return path_1.default.join(path_1.default.relative(from, BASELINE_STATS_DIR), BASELINE_STATS_BASE);
}
exports.getBaselineStatsFilepath = getBaselineStatsFilepath;
async function readBaseline(from) {
    return (0, fs_extra_1.readJSON)(getBaselineStatsFilepath(from));
}
exports.readBaseline = readBaseline;
async function writeBaseline(data) {
    return (0, fs_extra_1.outputJSON)(getBaselineStatsFilepath(), data);
}
exports.writeBaseline = writeBaseline;
//# sourceMappingURL=baseline.js.map