"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createArtifacts = exports.createJSONArtifact = exports.createHTMLArtifact = void 0;
const html_templates_1 = __importDefault(require("@bundle-stats/html-templates"));
const constants_1 = require("./constants");
const createHTMLArtifact = (jobs) => {
    let output = html_templates_1.default.replace(constants_1.INITIAL_DATA_PATTERN, `window.__INITIAL_DATA__ = ${JSON.stringify(jobs)}`);
    const totalSize = jobs?.[0]?.insights?.webpack?.assetsSizeTotal?.data?.text;
    if (totalSize) {
        output = output.replace(/<title>(.*)<\/title>/, `<title>${totalSize} - $1</title>`);
    }
    return output;
};
exports.createHTMLArtifact = createHTMLArtifact;
const createJSONArtifact = (_, report) => {
    return JSON.stringify(report, null, 2);
};
exports.createJSONArtifact = createJSONArtifact;
function createArtifacts(jobs, report, options) {
    const results = {};
    if (options.html) {
        results[constants_1.OutputType.HTML] = {
            output: (0, exports.createHTMLArtifact)(jobs, report),
            filename: `${constants_1.OUTPUT_FILENAME}.${constants_1.OutputType.HTML}`,
        };
    }
    if (options.json) {
        results[constants_1.OutputType.JSON] = {
            output: (0, exports.createJSONArtifact)(jobs, report),
            filename: `${constants_1.OUTPUT_FILENAME}.${constants_1.OutputType.JSON}`,
        };
    }
    return results;
}
exports.createArtifacts = createArtifacts;
//# sourceMappingURL=create-artifacts.js.map