"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createJobs = void 0;
const last_1 = __importDefault(require("lodash/last"));
const reverse_1 = __importDefault(require("lodash/reverse"));
const create_job_1 = require("./create-job");
const createJobs = (sources) => {
    const jobs = (0, reverse_1.default)([...sources]).reduce((agg, source, idx) => {
        const job = (0, create_job_1.createJob)(source, (0, last_1.default)(agg));
        const internalBuildNumber = job.internalBuildNumber || idx + 1;
        const label = `Job #${internalBuildNumber}`;
        return [
            {
                ...job,
                internalBuildNumber,
                label,
            },
            ...agg,
        ];
    }, []);
    return jobs;
};
exports.createJobs = createJobs;
//# sourceMappingURL=create-jobs.js.map