"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSummary = void 0;
const get_1 = __importDefault(require("lodash/get"));
const merge_1 = __importDefault(require("lodash/merge"));
const createSummary = (metricPaths, baselineSourceMetrics, currentSourceMetrics) => metricPaths.map((metric) => {
    const baselineValue = (0, get_1.default)(baselineSourceMetrics, `${metric}.value`, 0);
    const currentValue = (0, get_1.default)(currentSourceMetrics, `${metric}.value`, 0);
    return {
        [metric]: {
            baseline: baselineValue,
            current: currentValue,
        },
    };
}).reduce((agg, current) => (0, merge_1.default)({}, agg, current), {});
exports.createSummary = createSummary;
//# sourceMappingURL=create-summary.js.map