"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractAudits = void 0;
const get_1 = __importDefault(require("lodash/get"));
const METRIC_KEYS = {
    speedIndex: 'speed-index',
    firstMeaningfulPaint: 'first-meaningful-paint',
    timeToFirstByte: 'time-to-first-byte',
    firstInteractive: 'first-cpu-idle',
    totalByteWeight: 'total-byte-weight',
    domSize: 'dom-size',
};
const extractAudits = (lighthouseSource) => {
    const metrics = Object.entries(METRIC_KEYS).reduce((agg, [metricKey, lighthouseAuditId]) => ({
        ...agg,
        [metricKey]: {
            value: (0, get_1.default)(lighthouseSource, ['audits', lighthouseAuditId, 'numericValue'], 0),
        },
    }), {});
    return { metrics };
};
exports.extractAudits = extractAudits;
//# sourceMappingURL=audits.js.map