"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractCategoryScores = void 0;
const get_1 = __importDefault(require("lodash/get"));
const METRIC_KEYS = {
    performanceScore: 'performance',
    accessibilityScore: 'accessibility',
    bestPracticesScore: 'best-practices',
    seoScore: 'seo',
    pwaScore: 'pwa',
};
const extractCategoryScores = (lighthouseSource) => {
    const metrics = Object.entries(METRIC_KEYS).reduce((agg, [metricKey, lighthouseCategoryId]) => ({
        ...agg,
        [metricKey]: {
            value: (0, get_1.default)(lighthouseSource, ['categories', lighthouseCategoryId, 'score'], 0) * 100,
        },
    }), {});
    return { metrics };
};
exports.extractCategoryScores = extractCategoryScores;
//# sourceMappingURL=category-scores.js.map