"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractScoreCategoryScores = void 0;
const get_1 = __importDefault(require("lodash/get"));
const mean_1 = __importDefault(require("lodash/mean"));
const round_1 = __importDefault(require("lodash/round"));
const SCORES = [
    'performanceScore',
    'accessibilityScore',
    'bestPracticesScore',
    'seoScore',
    'pwaScore',
];
const extractScoreCategoryScores = (lighthouseSource, currentExtractedData = {}) => {
    const scores = SCORES.map((scoreKey) => (0, get_1.default)(currentExtractedData, ['metrics', scoreKey, 'value']));
    const score = { value: (0, round_1.default)((0, mean_1.default)(scores), 2) };
    return { metrics: { score } };
};
exports.extractScoreCategoryScores = extractScoreCategoryScores;
//# sourceMappingURL=score-category-scores.js.map