"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.filter = void 0;
const pick_1 = __importDefault(require("lodash/pick"));
const filter = (source) => {
    const meta = (0, pick_1.default)(source, ['lighthouseVersion', 'fetchTime', 'requestedUrl']);
    const categories = Object.entries(source.categories).reduce((agg, [categoryId, categoryData]) => ({
        ...agg,
        [categoryId]: (0, pick_1.default)(categoryData, ['score']),
    }), {});
    const audits = Object.entries(source.audits).reduce((agg, [auditId, auditData]) => ({
        ...agg,
        [auditId]: (0, pick_1.default)(auditData, ['score', 'numericValue']),
    }), {});
    return {
        ...meta,
        categories,
        audits,
    };
};
exports.filter = filter;
//# sourceMappingURL=filter.js.map