"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeMetricsByKey = void 0;
const mergeWith_1 = __importDefault(require("lodash/mergeWith"));
const mergeWithRuns = (runIndex, runsCount) => (aggregated, currentRun) => {
    const runs = aggregated || Array(runsCount).fill(null);
    runs[runIndex] = currentRun;
    return runs;
};
const mergeMetricsByKey = (runs, rowTransformers) => {
    const runsCount = runs.length;
    const metricsById = runs.reduce((aggregated, run, index) => (0, mergeWith_1.default)(aggregated, run, mergeWithRuns(index, runsCount)), {});
    return Object.entries(metricsById).map(([key, value]) => {
        const row = { key, runs: value };
        if (!rowTransformers) {
            return row;
        }
        return rowTransformers.reduce((aggregatedRow, rowTransformer) => rowTransformer(aggregatedRow), row);
    });
};
exports.mergeMetricsByKey = mergeMetricsByKey;
//# sourceMappingURL=merge-metrics-by-key.js.map