"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModuleFileType = exports.getModuleSourceFileType = exports.getFileType = exports.getFilenameFileType = void 0;
const file_types_1 = require("../config/file-types");
const getFilenameFileType = (filename, patterns) => {
    const fileType = Object.entries(patterns).find(([, pattern]) => pattern.test(filename));
    return fileType ? fileType[0] : file_types_1.FILE_TYPE_OTHER;
};
exports.getFilenameFileType = getFilenameFileType;
const getFileType = (filename) => {
    const fileType = Object.entries(file_types_1.FILE_TYPE_PATTERNS).find(([, pattern]) => pattern.test(filename));
    return fileType ? fileType[0] : file_types_1.FILE_TYPE_OTHER;
};
exports.getFileType = getFileType;
const getModuleSourceFileType = (moduleSourceFilename) => (0, exports.getFilenameFileType)(moduleSourceFilename, file_types_1.MODULE_SOURCE_PATTERNS);
exports.getModuleSourceFileType = getModuleSourceFileType;
const getModuleFileType = (moduleFilename) => (0, exports.getFilenameFileType)(moduleFilename, file_types_1.MODULE_DESTINATION_PATTERNS);
exports.getModuleFileType = getModuleFileType;
//# sourceMappingURL=file-types.js.map