"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compare = exports.compareBySection = void 0;
const metrics_1 = require("../config/metrics");
const compare_metrics_1 = require("../report/compare-metrics");
const constants_1 = require("./constants");
const selectors_1 = require("./selectors");
const compareStats = (jobs, rowTransformers) => (0, compare_metrics_1.compareMetrics)(jobs, selectors_1.selectors.stats, undefined, rowTransformers);
const compareSizes = (jobs, rowTransformers) => (0, compare_metrics_1.compareMetrics)(jobs, selectors_1.selectors.sizes, undefined, rowTransformers);
const compareAssets = (jobs, rowTransformers) => (0, compare_metrics_1.compareMetrics)(jobs, selectors_1.selectors.assets, metrics_1.METRIC_TYPE_FILE_SIZE, rowTransformers);
const compareModules = (jobs, rowTransformers) => (0, compare_metrics_1.compareMetrics)(jobs, selectors_1.selectors.modules, metrics_1.METRIC_TYPE_FILE_SIZE, rowTransformers);
const comparePackages = (jobs, rowTransformers) => (0, compare_metrics_1.compareMetrics)(jobs, selectors_1.selectors.packages, metrics_1.METRIC_TYPE_FILE_SIZE, rowTransformers);
exports.compareBySection = {
    [constants_1.SECTION_WEBPACK_STATS]: compareStats,
    [constants_1.SECTION_WEBPACK_SIZES]: compareSizes,
    [constants_1.SECTION_WEBPACK_ASSETS]: compareAssets,
    [constants_1.SECTION_WEBPACK_MODULES]: compareModules,
    [constants_1.SECTION_WEBPACK_PACKAGES]: comparePackages,
};
const compare = (jobs) => constants_1.SECTIONS.reduce((agg, sectionId) => ({
    ...agg,
    [sectionId]: exports.compareBySection[sectionId](jobs),
}), {});
exports.compare = compare;
//# sourceMappingURL=compare.js.map