"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PACKAGE_PATH_NAME = exports.MODULE_PATH_PACKAGES = exports.SUMMARY_METRIC_PATHS = exports.SECTIONS = exports.SECTION_WEBPACK_PACKAGES = exports.SECTION_WEBPACK_MODULES = exports.SECTION_WEBPACK_ASSETS = exports.SECTION_WEBPACK_SIZES = exports.SECTION_WEBPACK_STATS = void 0;
exports.SECTION_WEBPACK_STATS = 'stats';
exports.SECTION_WEBPACK_SIZES = 'sizes';
exports.SECTION_WEBPACK_ASSETS = 'assets';
exports.SECTION_WEBPACK_MODULES = 'modules';
exports.SECTION_WEBPACK_PACKAGES = 'packages';
exports.SECTIONS = [
    exports.SECTION_WEBPACK_STATS,
    exports.SECTION_WEBPACK_SIZES,
    exports.SECTION_WEBPACK_ASSETS,
    exports.SECTION_WEBPACK_MODULES,
    exports.SECTION_WEBPACK_PACKAGES,
];
exports.SUMMARY_METRIC_PATHS = [
    'totalSizeByTypeALL',
    'totalInitialSizeJS',
    'totalInitialSizeCSS',
    'cacheInvalidation',
    'moduleCount',
    'duplicateModulesCount',
    'duplicateCode',
    'chunkCount',
    'assetCount',
    'packageCount',
    'duplicatePackagesCount',
];
const PACKAGE_PREFIX = /(?:node_modules|~)(?:\/\.pnpm)?/;
const PACKAGE_SLUG = /[a-zA-Z0-9]+(?:[-|_|.]+[a-zA-Z0-9]+)*/;
const VERSION = /@[\w|\-|_|.]+/;
exports.MODULE_PATH_PACKAGES = new RegExp([
    `(?:${PACKAGE_PREFIX.source}/)`,
    '(?:',
    `(?:@${PACKAGE_SLUG.source}[/|+])?`,
    `(?:${PACKAGE_SLUG.source}\\+)*`,
    `(?:${PACKAGE_SLUG.source})`,
    `(?:${VERSION.source})?`,
    ')',
    '(?:_',
    `(?:@${PACKAGE_SLUG.source}[/|+])?`,
    `(?:${PACKAGE_SLUG.source})`,
    `(?:@${PACKAGE_SLUG.source})?`,
    ')*',
    '/',
].join(''), 'g');
exports.PACKAGE_PATH_NAME = new RegExp([
    `(?:${PACKAGE_PREFIX.source}/)`,
    '(?:',
    '(',
    `(?:@${PACKAGE_SLUG.source}[/|+])?`,
    `(?:(?:${PACKAGE_SLUG.source}\\+)*)`,
    `(?:${PACKAGE_SLUG.source})`,
    ')',
    `(?:${VERSION.source})?`,
    ')',
    '(?:_',
    '(',
    `(?:@${PACKAGE_SLUG.source}[/|+])?`,
    `(?:${PACKAGE_SLUG.source})`,
    ')',
    `(?:@${PACKAGE_SLUG.source})`,
    ')*',
    '/',
].join(''), 'g');
//# sourceMappingURL=constants.js.map