"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extract = void 0;
const merge_1 = __importDefault(require("lodash/merge"));
const assets_1 = require("./assets");
const assets_cache_invalidation_1 = require("./assets-cache-invalidation");
const assets_chunk_count_1 = require("./assets-chunk-count");
const assets_count_1 = require("./assets-count");
const assets_size_1 = require("./assets-size");
const assets_size_total_insight_1 = require("./assets-size-total-insight");
const meta_1 = require("./meta");
const modules_1 = require("./modules");
const modules_packages_1 = require("./modules-packages");
const modules_packages_count_1 = require("./modules-packages-count");
const modules_packages_duplicate_1 = require("./modules-packages-duplicate");
const extractFns = [
    assets_1.extractAssets,
    assets_cache_invalidation_1.extractAssetsCacheInvalidation,
    assets_chunk_count_1.extractAssetsChunkCount,
    assets_count_1.extractAssetsCount,
    assets_size_1.extractAssetsSize,
    assets_size_total_insight_1.extractAssetsSizeTotalInsight,
    meta_1.extractMeta,
    modules_1.extractModules,
    modules_packages_1.extractModulesPackages,
    modules_packages_count_1.extractModulesPackagesCount,
    modules_packages_duplicate_1.extractModulesPackagesDuplicate,
];
const extract = (webpackStats, baseline) => extractFns.reduce((agg, extractFn) => (0, merge_1.default)({}, agg, extractFn(webpackStats, agg, baseline)), {});
exports.extract = extract;
//# sourceMappingURL=index.js.map