"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractMeta = void 0;
const get_1 = __importDefault(require("lodash/get"));
const getBuiltAt = (webpackStats, key) => {
    let builtAt = '';
    const builtAtTime = (0, get_1.default)(webpackStats, key);
    if (!builtAtTime) {
        return builtAt;
    }
    try {
        builtAt = (new Date(builtAtTime)).toISOString();
    }
    catch (error) {
        console.error('Error extracting builtAt value:', error.message);
    }
    return builtAt;
};
const extractMeta = (webpackStats) => {
    const builtAt = getBuiltAt(webpackStats, 'builtAt');
    const hash = (0, get_1.default)(webpackStats, 'hash', '');
    return {
        meta: {
            builtAt,
            hash,
        },
    };
};
exports.extractMeta = extractMeta;
//# sourceMappingURL=meta.js.map