"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectors = void 0;
const get_1 = __importDefault(require("lodash/get"));
const pick_1 = __importDefault(require("lodash/pick"));
const constants_1 = require("./constants");
const metrics_1 = require("./metrics");
const getStatsMetrics = (job) => {
    const data = (0, get_1.default)(job, 'metrics.webpack');
    const metrics = (0, pick_1.default)(data, constants_1.SUMMARY_METRIC_PATHS);
    return Object.entries(metrics).reduce((agg, [key, value]) => ({
        ...agg,
        [`webpack.${key}`]: value,
    }), {});
};
const getSizeMetrics = (job) => {
    const metrics = (0, get_1.default)(job, 'metrics.webpack.sizes', {});
    return Object.keys(metrics_1.metrics.sizes).reduce((agg, key) => ({
        ...agg,
        [`webpack.sizes.${key}`]: metrics[key],
    }), {});
};
const getAssetsMetrics = (job) => (0, get_1.default)(job, 'metrics.webpack.assets', {});
const getModulesMetrics = (job) => (0, get_1.default)(job, 'metrics.webpack.modules', {});
const getPackageMetrics = (job) => (0, get_1.default)(job, 'metrics.webpack.packages', {});
exports.selectors = {
    [constants_1.SECTION_WEBPACK_STATS]: getStatsMetrics,
    [constants_1.SECTION_WEBPACK_SIZES]: getSizeMetrics,
    [constants_1.SECTION_WEBPACK_ASSETS]: getAssetsMetrics,
    [constants_1.SECTION_WEBPACK_MODULES]: getModulesMetrics,
    [constants_1.SECTION_WEBPACK_PACKAGES]: getPackageMetrics,
};
//# sourceMappingURL=selectors.js.map